PHP Manual
Prev |  | Next

# HttpRequest::setQueryData

(no version information, might be only in CVS)

HttpRequest::setQueryData -- Set query data

## Description

publicbool HttpRequest::setQueryData ( [mixed query_data] )

Set the URL query parameters to use, overwriting previously set query parameters.

Affects any request types.

## Parameters

query_data

  a string or associative array parameter containing the pre-encoded query string or to be encoded query fields; if empty or omitted, the query data will be unset

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpRequest::setPutFile | Up | HttpRequest::setRawPostData